Download it now!
Bug 136924 - Column icons are wrong in dark mode
Summary: Column icons are wrong in dark mode
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.3
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2020-09-21 11:26 UTC by medmedin2014
Modified: 2020-10-16 17:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Column icons are wrong in dark mode (57.21 KB, image/png)
2020-09-21 11:26 UTC, medmedin2014
Details

Note You need to log in before you can comment on or make changes to this bug.
Description medmedin2014 2020-09-21 11:26:00 UTC
Created attachment 165722 [details]
Column icons are wrong in dark mode

Column icons are wrong in dark mode. See attached image for more info.

Version: 7.0.1.2
Build ID: 00(Build:2)
CPU threads: 2; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: en-US (en_US.UTF-8); UI: en-US
=7.0.1-1
Calc: threaded

Operating System: Manjaro Linux
KDE Plasma Version: 5.19.5
KDE Frameworks Version: 5.73.0
Qt Version: 5.15.0
Kernel Version: 5.4.64-1-MANJARO
OS Type: 64-bit
Comment 1 Michael Weghorn 2020-09-24 04:58:59 UTC
This might be a stupid question, but how do you get into dark mode? Is that some setting in LibreOffice or are you using a specific dark theme in your (Plasma?) desktop environment?
Comment 2 medmedin2014 2020-09-24 09:21:16 UTC
(In reply to Michael Weghorn from comment #1)
> This might be a stupid question, but how do you get into dark mode? Is that
> some setting in LibreOffice or are you using a specific dark theme in your
> (Plasma?) desktop environment?

I use Plasma Dark Breeze theme and LibreOffice follows it.
Comment 3 Michael Weghorn 2020-09-25 06:26:30 UTC
Reproduced:

1) set Breeze Dark theme in Plasma settings
2) start Writer
3) right click somewhere in the document -> "Page Style"

Version: 7.0.1.2
Build ID: 00(Build:2)
CPU threads: 12; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: en-GB (en_GB.UTF-8); UI: en-US
Debian package version: 1:7.0.1-1+b1
Calc: threaded
Comment 4 Michael Weghorn 2020-09-25 06:28:46 UTC
(In reply to Michael Weghorn from comment #3)
> Reproduced:
> 
> 1) set Breeze Dark theme in Plasma settings
> 2) start Writer
> 3) right click somewhere in the document -> "Page Style"

and 4) select "Columns" tab, of course

Same with current development version:

Version: 7.1.0.0.alpha0+
Build ID: 9ad61fe99f02e0da7333e7b81834a96983ad48c2
CPU threads: 12; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded
Comment 5 Commit Notification 2020-10-16 16:02:58 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/160bd8cf3c9c6680b9a9291f2d2c4929ec0785c1

tdf#136924 draw lines using field text color

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-10-16 17:53:53 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/a362277bd133832c71e66603a10e4e4e19492b4d

tdf#136924 draw lines using field text color

It will be available in 7.0.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.